
TYPO3.Flow - Bug # 27284

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: SignalSlot
Created: 2011-06-07 Assigned To: Karsten Dambekalns
Updated: 2011-06-11 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Signal dispatching through SignalAspect is broken
Description

When using the "magic" way of dispatching signals nothing happens, because the aspect does not remove the "emit" from the signal's
method name. The dispatcher then ignores the request.

Associated revisions
Revision e6d165f8 - 2011-06-07 21:48 - Karsten Dambekalns

[BUGFIX] Fix used signal name in SignalAspect

When using the "magic" way of dispatching signals nothing would happen,
because the aspect does not remove the "emit" from the signal's method
name. The dispatcher would then ignore the request.

Change-Id: Idcb81f42b44226acf0d197d9e50e38e34d26ec70
Fixes: #27284

History
#1 - 2011-06-07 21:46 - Mr. Hudson

Patch set 1 of change Idcb81f42b44226acf0d197d9e50e38e34d26ec70 has been pushed to the review server.
It is available at http://review.typo3.org/2567

#2 - 2011-06-07 21:49 - Mr. Hudson

Patch set 2 of change Idcb81f42b44226acf0d197d9e50e38e34d26ec70 has been pushed to the review server.
It is available at http://review.typo3.org/2567

#3 - 2011-06-07 21:52 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-06-11 23:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e6d165f8368a5096249041e4d95b790d52bb7768.
